Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001782KdenliveMLTpublic2010-08-30 21:202010-09-14 23:01
Reportertidris769 
Assigned Tottill 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platform32 bit intelOSubuntu linuxOS Version9.10
Product VersionRecent git 
Target VersionFixed in Version0.7.8 
Summary0001782: Adding pan & zoom effect to a clip turns it completely black
DescriptionIn some cases adding the pan & zoom effect to a clip makes it turn completely black even though the effect is using its default values. The problem is related to the length of the clip, specifically, if a long clip is trimmed to a shorter length.

Playing the project in melt gives the same black output, so I think it could be an MLT problem.

I am using most recent kdenlive and MLT as of this morning, but I have seen this in previous versions too.
Steps To Reproduce- Open the attached black-pan-zoom.kdenlive project. The project has a single color clip with pan & zoom effect.
- Play the project and note the image is completely black.
- Examine settings for pan & zoom effect in the clip and note they are default values, so the clip shouldn't have been affected at all by the effect.
- Disable pan & zoom in the clip and play the project. Note the image is no longer black.
- Re-enable the pan & zoom effect in the clip and play project. Note the image is black again.
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files? file icon black-pan-zoom.kdenlive [^] (4,627 bytes) 2010-08-30 21:20

- Relationships

-  Notes
(0005715)
ttill (developer)
2010-08-30 22:26

There is a problem with resizing clips containing the pan & zoom effect, which I will try to fix in the next days.
Not sure if this is related. Will have a look at it.
(0005773)
ttill (developer)
2010-09-04 23:46

I sent a patch to fix this issue to the MLT mailing-list today:
http://sourceforge.net/mailarchive/forum.php?thread_name=4C82A0AA.3040307%40ttill.de&forum_name=mlt-devel [^]
(0005777)
ddennedy (developer)
2010-09-05 03:17

applied patch in git commit 5a35243

- Issue History
Date Modified Username Field Change
2010-08-30 21:20 tidris769 New Issue
2010-08-30 21:20 tidris769 File Added: black-pan-zoom.kdenlive
2010-08-30 22:26 ttill Note Added: 0005715
2010-09-04 23:46 ttill Note Added: 0005773
2010-09-04 23:46 ttill Assigned To => ttill
2010-09-04 23:46 ttill Status new => assigned
2010-09-04 23:46 ttill Category Effects => MLT
2010-09-05 02:52 ddennedy Note Added: 0005776
2010-09-05 02:53 ddennedy Note Deleted: 0005776
2010-09-05 03:17 ddennedy Note Added: 0005777
2010-09-05 03:17 ddennedy Status assigned => resolved
2010-09-05 03:17 ddennedy Fixed in Version => Recent git
2010-09-05 03:17 ddennedy Resolution open => fixed
2010-09-14 11:00 j-b-m Fixed in Version Recent git => 0.7.8
2010-09-14 23:01 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker